<template>
    <div class="user-detail col">
        <div class="user-info">
            <p>I am a user!</p>
            <p>My name is: {{ name }}</p>
            <hr>
            <button class="btn btn-primary" @click="changeName">Change name</button>
        </div>
        <div class="row user-actions">
            <app-user-details
                    :name="name"
                    @nameWasReset="name = $event"
                    :userAge="age"></app-user-details>
            <app-user-edit :userAge="age"></app-user-edit>
        </div>

    </div>
</template>
<script>
    import UserDetails from './UserDetails.vue';
    import UserEdit from './UserEdit.vue';

    export default {
        data: function () {
            return {
                name: 'Alex',
                age: 25
            };
        },
        methods: {
            changeName(){
                this.name = 'Alexey';
            }
        },
        components: {
            'app-user-details': UserDetails,
            'app-user-edit': UserEdit
        }
    }
</script>
<style>
    .user-detail {
        padding:20px;
        background-color: #ecf0f1;
    }
    .user-info {
        margin-bottom: 20px;
    }
</style>